System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.IList

This interface is implemented by the class. Implementation of a method should exhibit the same behavior as the implementation of that method in the class.

When you call the or methods, you should raise a event with the enumeration.

When you call the method, you should raise a event with the enumeration carrying the appropriate index. The added row is in a state where pressing the ESC on a control can remove the new row. Raising the event with the enumeration a second time on this row indicates that the item is now a row not in the "new" state.

When you remove an item or call the method on a new row (if that row implements ), you should raise a event with the enumeration carrying the appropriate index.

Provides the features required to support both complex and simple scenarios when binding to a data source.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The list must support this method. However, support for this method can be a nonoperation.

  Adds the to the indexes used for searching.

  The to add to the indexes used for searching.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  This method is supported only if is true; otherwise, a is thrown.

  Implementing this method means that the list must understand the type of objects to add to the list and must understand how to create a new instance of that type. For example, if you have a collection of myCustomer objects, the method should add a new myCustomer object to the list.

  If the objects in this list implement the interface, calling the method should discard an object, not add it to the list, when the object was created using the method. The object should only be added to the list when the method is called. Therefore, you must sychronize the object and the list carefully.

  When this method is called, you should raise a event with the enumeration carrying the appropriate index. The added row is in a state where hitting Esc on a control can remove the new row. Raising the event with the enumeration a second time on this row indicates that the item is now a normal row (not in new state).

  Adds a new item to the list.

  The item added to the list.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets whether you can update items in the list.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  If or is true, this property returns false.

  Gets whether you can add items to the list using .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  If or is true, this property returns false.

  If returns false, and throw a .

  Gets whether you can remove items from the list, using or .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If items are added or removed, these items are placed in the order of the sort.

  This method is supported if is true; otherwise, this method throws a .

  Sorts the list based on a and a .

  The to sort by. One of the values.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  This method will select the first row where the value of the parameter equals the value of the parameter.

  This method is supported if is true, otherwise this method throws a .

  Returns the index of the row that has the given .

  The index of the row that has the given .

  The to search on. The value of the parameter to search for.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  This property is supported if is true; otherwise, this property throws a .

  If returns true, items are added or removed in the order of the sort.

  Gets whether the items in the list are sorted.

- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedEventHandler

  This event is raised only if the property is true.

  Occurs when the list changes or an item in the list changes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The list must support this method. However, support for this method can be a nonoperation.

  Removes the from the indexes used for searching.

  The to remove from the indexes used for searching.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This property is supported if is true; otherwise, this property throws a .

  When you call this method, you should raise a event with the enumeration.

  Removes any sort applied using .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListSortDirection To be added: an object of type 'ListSortDirection'

  This property is supported if is true; otherwise, this property throws a .

  Gets the direction of the sort.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor To be added: an object of type 'PropertyDescriptor'

  This property is supported if is true; otherwise, this property throws a .

  Gets the that is being used for sorting.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  Objects in the list must notify the list when they change, so the list can raise a event.

  Gets whether a event is raised when the list changes or an item in the list changes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets whether the list supports searching using the method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  If this property is true, then , , , , and are supported.

  Gets whether the list supports sorting.